{
  "name": "client",
  "version": "0.0.0",
  "scripts": {
    "build": "npm run typecheck && vite build && node versionize && cp ./dist/index.html ../server/vbv_lernwelt/templates/vue/index.html && rm -rf ../server/vbv_lernwelt/static/vue/* && cp -r ./dist/static/vue ../server/vbv_lernwelt/static/ && npm run build-storybook",
    "build-storybook": "rm -rf ../server/vbv_lernwelt/static/storybook/* && storybook build -o ../server/vbv_lernwelt/static/storybook",
    "build:tailwind": "tailwindcss -i tailwind.css -o ../server/vbv_lernwelt/static/css/tailwind.css --minify",
    "codegen": "graphql-codegen && node minimizeGraphqlSchema.mjs",
    "codegen:watch": "graphql-codegen --watch",
    "coverage": "vitest run --coverage",
    "cypress:open": "cypress open",
    "dev": "concurrently \"vite\" \"npm run codegen:watch\"",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "prettier": "prettier . --write",
    "prettier:check": "prettier . --check",
    "storybook": "storybook dev -p 6006",
    "tailwind": "tailwindcss -i tailwind.css -o ../server/vbv_lernwelt/static/css/tailwind.css --watch",
    "test": "vitest run",
    "typecheck": "npm run codegen && vue-tsc --noEmit -p tsconfig.app.json --composite false",
    "typecheck-only": "vue-tsc --noEmit -p tsconfig.app.json --composite false"
  },
  "dependencies": {
    "@headlessui/tailwindcss": "^0.1.3",
    "@headlessui/vue": "1.7.7",
    "@sentry/tracing": "^7.56.0",
    "@sentry/vue": "^7.56.0",
    "@urql/exchange-graphcache": "^6.3.2",
    "@urql/introspection": "^1.0.2",
    "@urql/vue": "^1.1.2",
    "@vueuse/core": "10.1.0",
    "@vueuse/router": "10.1.0",
    "cypress": "^12.14.0",
    "d3": "^7.8.5",
    "dayjs": "^1.11.8",
    "graphql": "^16.6.0",
    "i18next": "^23.2.8",
    "i18next-locize-backend": "^6.2.2",
    "i18next-vue": "^2.2.0",
    "locize": "^2.4.6",
    "lodash": "^4.17.21",
    "loglevel": "^1.8.0",
    "mitt": "^3.0.0",
    "pinia": "^2.1.4",
    "vue": "^3.3.4",
    "vue-router": "^4.2.2"
  },
  "devDependencies": {
    "@graphql-codegen/cli": "^4.0.1",
    "@graphql-codegen/client-preset": "^4.0.1",
    "@rollup/plugin-alias": "^4.0.3",
    "@rushstack/eslint-patch": "^1.1.4",
    "@savvywombat/tailwindcss-grid-areas": "^3.0.0",
    "@storybook/addon-a11y": "^7.0.22",
    "@storybook/addon-essentials": "^7.0.22",
    "@storybook/addon-interactions": "^7.0.22",
    "@storybook/addon-links": "^7.0.22",
    "@storybook/addons": "^7.0.22",
    "@storybook/blocks": "^7.0.22",
    "@storybook/manager-api": "^7.0.22",
    "@storybook/testing-library": "^0.1.0",
    "@storybook/theming": "^7.0.22",
    "@storybook/vue3": "^7.0.22",
    "@storybook/vue3-vite": "^7.0.22",
    "@tailwindcss/forms": "^0.5.2",
    "@tailwindcss/typography": "^0.5.4",
    "@testing-library/vue": "^7.0.0",
    "@types/d3": "^7.4.0",
    "@types/jsdom": "^21.1.1",
    "@types/lodash": "^4.14.195",
    "@types/node": "^18.16.18",
    "@vitejs/plugin-vue": "^4.2.3",
    "@vue/eslint-config-prettier": "^7.0.0",
    "@vue/eslint-config-typescript": "^11.0.0",
    "@vue/test-utils": "^2.0.2",
    "@vue/tsconfig": "^0.1.3",
    "autoprefixer": "^10.4.8",
    "concurrently": "^8.0.1",
    "eslint": "^8.43.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-cypress": "^2.13.3",
    "eslint-plugin-storybook": "^0.6.12",
    "eslint-plugin-vue": "^9.15.0",
    "jsdom": "^22.1.0",
    "locize-cli": "^7.14.6",
    "postcss": "^8.4.14",
    "postcss-import": "^15.1.0",
    "prettier": "^2.8.8",
    "prettier-plugin-organize-imports": "^3.1.1",
    "prettier-plugin-sort-json": "^1.0.0",
    "prettier-plugin-tailwindcss": "^0.3.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "replace-in-file": "^6.3.5",
    "sass": "^1.63.4",
    "sass-loader": "^13.3.2",
    "start-server-and-test": "^2.0.0",
    "storybook": "^7.0.22",
    "storybook-addon-designs": "^v7.0.0-beta.2",
    "storybook-tailwind-foundations": "^1.1.2",
    "storybook-vue3-router": "^3.0.0-next.1",
    "tailwindcss": "^3.3.2",
    "typescript": "^5.1.3",
    "vite": "^4.3.9",
    "vitest": "^0.32.2",
    "vue-eslint-parser": "^9.2.1",
    "vue-tsc": "^1.8.1"
  }
}
